UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

取消
显示结果 
搜索替代 
您的意思是: 
Highlighted
Observer ippfcox
Observer
351 次查看
注册日期: ‎03-04-2019

编译vcu-ctrl-sw得到的ctrlsw-encoder在zcu106上运行报错

转到解答

仅配置了交叉编译器(没有其他改动),编译vcu-ctrl-sw得到的ctrlsw-encoder在zcu106上用如下README中给出的命令运行时报错

$ ./bin/ctrlsw_encoder -cfg test/config/encode.simple.cfg

报错为Channel creation failed, request was malformed

排查发现在PostMessage进行ioctl与驱动通信时返回值为-1,errno为22 EINVAL。

而使用/usr/bin下的AL_Encoder.exe执行相同的命令

$ AL_Encoder.exe -cfg test/config/encode.simple.cfg

可以正常进行编码。

请问问题出现的原因以及vcu-ctrl-sw要进行怎样的修改才可以在zcu106上运行?谢谢!

Inform me If you can't read Chinese, I will post in English, Thx.

0 项奖励
1 个已接受解答

已接受的解答
Moderator
Moderator
271 次查看
注册日期: ‎08-02-2007

回复: 编译vcu-ctrl-sw得到的ctrlsw-encoder在zcu106上运行报错

转到解答

Make sure to use the 2018.3 ZCU_106_TRD.bsp and install the patches in AR 71798. https://www.xilinx.com/support/answers/71798.html

在原帖中查看解决方案

0 项奖励
3 条回复3
Observer ippfcox
Observer
297 次查看
注册日期: ‎03-04-2019

回复: 编译vcu-ctrl-sw得到的ctrlsw-encoder在zcu106上运行报错

转到解答

之前编译的都是标签2018.3,输出的二进制文件为ctrlsw-encoder,运行会报错,如上所示,今天尝试编译了标签2018.2的程序,输出二进制文件为AL_Encoder.exe,发现运行正常,这可能是什么原因造成的呢?

0 项奖励
Moderator
Moderator
272 次查看
注册日期: ‎08-02-2007

回复: 编译vcu-ctrl-sw得到的ctrlsw-encoder在zcu106上运行报错

转到解答

Make sure to use the 2018.3 ZCU_106_TRD.bsp and install the patches in AR 71798. https://www.xilinx.com/support/answers/71798.html

在原帖中查看解决方案

0 项奖励
Observer ippfcox
Observer
261 次查看
注册日期: ‎03-04-2019

回复: 编译vcu-ctrl-sw得到的ctrlsw-encoder在zcu106上运行报错

转到解答
Will give it a try, Thx
0 项奖励